digraph "CFG for 'splay_tree_xmalloc_deallocate' function" {
	label="CFG for 'splay_tree_xmalloc_deallocate' function";

	Node0x2215000 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%2:\l  %3 = alloca i8*, align 8\l  %4 = alloca i8*, align 8\l  store i8* %0, i8** %3, align 8\l  store i8* %1, i8** %4, align 8\l  %5 = load i8*, i8** %3, align 8\l  %6 = icmp ne i8* %5, null\l  br i1 %6, label %7, label %12\l|{<s0>T|<s1>F}}"];
	Node0x2215000:s0 -> Node0x2215b90;
	Node0x2215000:s1 -> Node0x2215be0;
	Node0x2215b90 [shape=record,color="#b70d28ff", style=filled, fillcolor="#e8765c70",label="{%7:\l7:                                                \l  %8 = load %struct.d4d__maing*, %struct.d4d__maing** @d4d__main, align 8\l  %9 = getelementptr inbounds %struct.d4d__maing, %struct.d4d__maing* %8, i32\l... 0, i32 1\l  %10 = load void (i8*)*, void (i8*)** %9, align 8\l  %11 = load i8*, i8** %3, align 8\l  call void %10(i8* %11)\l  br label %12\l}"];
	Node0x2215b90 -> Node0x2215be0;
	Node0x2215be0 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%12:\l12:                                               \l  %13 = load i8*, i8** %4, align 8\l  %14 = icmp ne i8* %13, null\l  br i1 %14, label %15, label %16\l|{<s0>T|<s1>F}}"];
	Node0x2215be0:s0 -> Node0x2215c30;
	Node0x2215be0:s1 -> Node0x2215c80;
	Node0x2215c30 [shape=record,color="#b70d28ff", style=filled, fillcolor="#e8765c70",label="{%15:\l15:                                               \l  br label %16\l}"];
	Node0x2215c30 -> Node0x2215c80;
	Node0x2215c80 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%16:\l16:                                               \l  ret void\l}"];
}
